Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 197420 (pear-Payment-Process)

Summary: Review Request: php-pear-Payment-Process - Unified payment processor
Product: [Fedora] Fedora Reporter: Christopher Stone <chris.stone>
Component: Package ReviewAssignee: Jason Tibbitts <j>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: arebbaloch1122
Target Milestone: ---Flags: jwboyer: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-09-09 16:08:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 192583, 197413, 197417, 197419    
Bug Blocks: 163779    

Description Christopher Stone 2006-07-01 06:03:00 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Payment-Process.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Payment-Process-0.6.5-1.src.rpm

Description:
Payment_Process is a gateway-independent framework for processing credit
cards, e-checks and eventually other forms of payments as well.

Comment 1 Jason Tibbitts 2006-09-09 15:03:35 UTC
I guess you have a redundant Requires: php there.

* source files match upstream:
   d63b822c194775f5dd3cbd23fb500322  Payment_Process-0.6.5.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent (except for that bogus warning)
* final provides and requires are sane:
   php-pear(Payment_Process) = 0.6.5
   php-pear-Payment-Process = 0.6.5-1.fc6
  =
   /bin/sh
   /usr/bin/pear
?  php
   php-pear(Net_Curl) >= 1.2.0
   php-pear(PEAR)
   php-pear(Validate) >= 0.5.0
   php-pear(Validate_Finance_CreditCard) >= 0.5.0
   php-pear(XML_Parser) >= 1.2.6
* %check is not present; no test suite upstream.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (PEAR module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Christopher Stone 2007-05-02 03:06:57 UTC
Package Change Request
======================
Package Name: php-pear-Payment-Process
New Branches: EL-5

Comment 3 Arebakhn 2023-12-17 05:18:56 UTC Comment hidden (spam)